Bug 990677 - SDL1.2.15 has a bug which kills some axis on devices with many axis
SDL1.2.15 has a bug which kills some axis on devices with many axis
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
https://bugzilla.libsdl.org/show_bug....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 13:48 EDT by dr.trigon
Modified: 2013-12-27 11:16 EST (History)
2 users (show)

See Also:
Fixed In Version: SDL-1.2.15-12.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 11:16:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dr.trigon 2013-07-31 13:48:51 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
stable, happens every time


Steps to Reproduce:
1. install PCSXR which needs SDL 1.2.15
2. plug in a PS3 Controller in USB port
3. try to use axis 0 (left stick, left/right movement)


Actual results:
It works with 'jstest' but not in PCSXR. So it's not the hardware part or the USB driver part, it seams to be software later in the chain (SDL).


Expected results:
Axis 0 should work in jstest AND PCSXR


Additional info:
* The same holds for PCSX2 and may be other software.
* This was also reported in the mupen64plus bug tracker [1] (for fc19 64bit) and according to this it is a bug in SDL 1.2.15 exactly the version fc18, fc19 and currently fc20 is using (SDL2 should solve this)

[1] http://code.google.com/p/mupen64plus/issues/detail?id=388
Comment 1 Petr Pisar 2013-12-05 08:07:58 EST
I'm sorry for the delay. I don't have any such device, so I will apply upstream patch from <https://bugzilla.libsdl.org/show_bug.cgi?id=1486> and you will test it.

There is a similar upstream report <https://bugzilla.libsdl.org/show_bug.cgi?id=1460> against SDL2 with an unclear statement about SDL-1.2 pointing back by upstream developers to the former bug report.
Comment 2 xirxes 2013-12-05 08:12:20 EST
(In reply to Petr Pisar from comment #1)
> I'm sorry for the delay. I don't have any such device, so I will apply
> upstream patch from <https://bugzilla.libsdl.org/show_bug.cgi?id=1486> and
> you will test it.
> 
> There is a similar upstream report
> <https://bugzilla.libsdl.org/show_bug.cgi?id=1460> against SDL2 with an
> unclear statement about SDL-1.2 pointing back by upstream developers to the
> former bug report.

I am definitely available to test this in the next few hours. Would be great to get this bug fixed. My work around for this isn't exactly elegant.
Comment 3 Fedora Update System 2013-12-05 09:06:35 EST
SDL-1.2.15-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/SDL-1.2.15-12.fc20
Comment 4 Fedora Update System 2013-12-05 09:07:06 EST
SDL-1.2.15-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/SDL-1.2.15-12.fc19
Comment 5 Fedora Update System 2013-12-05 09:14:12 EST
SDL-1.2.15-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/SDL-1.2.15-4.fc18
Comment 6 xirxes 2013-12-06 02:35:30 EST
Confirmed fixed. Tested with mupen64plus and SDLJoytest.
Comment 7 Fedora Update System 2013-12-16 17:57:57 EST
SDL-1.2.15-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-16 18:07:00 EST
SDL-1.2.15-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-17 14:05:40 EST
SDL-1.2.15-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 dr.trigon 2013-12-27 11:16:19 EST
Solved for me too. Thanks for the good work - nice job! Greetings

Note You need to log in before you can comment on or make changes to this bug.